Subject: bug#31605: 25.3; tramp-terminal-type too obscure

From: Michael Albinus <[email-masked]>
Date: Tue, 29 May 2018 19:46:28 +0200

Eli Barzilay <[email-masked]> writes:

Hi Eli,

>> The majority of Tramp users does not apply "M-x shell" and
>> friends. They are just using Tramp for remote file handling.
>
> I'm not talking about a remote shell, just the general running of a
> subshell inside Emacs.  If *that* is not a popular thing to do then I'm
> apparently living in a bubble...

No, you aren't. There are many Tramp users running a remote shell in
Emacs. But this is not the majority of Tramp users ...

>> It is still possible that you reconfigure everything, and thanks again
>> that you have told me that it needs better documentation. But I'm not
>> conviced it will be better to change the defaults.
>
> Oh, I *don't* suggest changing the default!  (See the comment in the
> original bug: doing that will break existing shell configurations that
> detect "dumb".)  I just think that it should be mentioned at least in
> the section that talks about the common zsh-hanging problem -- something
> like the small addition I did to the wiki page.

I do not want to write an example which does not use the default. People
tend to copy example lines, and I want to encourage them using the default.

As compromise, I have rephrased the manual:

--8<---------------cut here---------------start------------->8---
          When using zsh on remote hosts, disable zsh line editor
          because zsh uses left-hand side and right-hand side prompts
          in parallel.  Add the following line to ‘~/.zshrc’:

               [[ $TERM == "dumb" ]] && unsetopt zle && PS1='$ ' && return

          This uses the default value of ‘tramp-terminal-type’,
          ‘"dumb"’, as value of the ‘TERM’ environment variable.  If
          you want to use another value for ‘TERM’, change
          ‘tramp-terminal-type’ accordingly.
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.